Skip to main content
GET
/
v2
/
account
/
statement
Get ledger statement
curl --request GET \
  --url https://api.example.com/v2/account/statement \
  --header 'Authorization: Bearer <token>'
{
  "logs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "token": "<string>",
      "balanceChange": "<string>",
      "finalBalance": "<string>",
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

createdAfter
integer<int64>

Unix timestamp (seconds) lower bound (inclusive).

createdBefore
integer<int64>
cursor
string

Response

OK

logs
object[]
cursor
string